<?php

class mysqledificio {
  private $usuario;
  private $servidor;
  private $password;
  private $base_datos;
  private $conexion;
  private $result;
  var $flag = false;
  static $_instance;

  function __construct(){
    require_once ("configdatos.php");
    $this->usuario= USER;
    $this->password= PASS;
    $this->servidor= HOST;
    $this->base_datos= DB;
    $this->conectar();
  }

public function NuevoEdificio($abreviatura,$superficie,$numero_pisos,$numero_subterraneos,$cantidadpropiedades,
                              $id_etapa,$id_unidadconstruccion){
    $queryedificio = "INSERT INTO tblmodelounidadconstrucciones(ABREVIATURA,
                                   SUPERFICIE, NUM_PISOS,NUM_SUBTERRANEOS, CANT_PROPIEDADES)
                       VALUES ('$abreviatura','$superficie','$numero_pisos','$numero_subterraneos','$cantidadpropiedades')";
      if(mysql_query($queryedificio)){
          $modelounidad = mysql_insert_id(); 
           $queryconfig = "INSERT INTO tblconfiguracionetapas(ID_ETAPA, ID_UNIDADCONSTRUCCION,
                                                      ID_MODELOUNIDADCONSTRUCCION,CANT_PROPIEDAD)
                                VALUES ('$id_etapa','$id_unidadconstruccion','$modelounidad','')";
          if(mysql_query($queryconfig)){
              return "1";

          }else{
             return mysql_error();
          }
      }else{
        return mysql_error();
      }
  }





 private function read($sql){
  $resultado = mysql_query($sql); 
   if(mysql_num_rows($resultado)> 0){
     while($fila = mysql_fetch_array($resultado)){
         $arreglo[] =$fila;
       }
         return $arreglo;
   }else{
     return "0";
   }
  }

  private function conectar(){
  $this->conexion = mysql_connect($this->servidor,$this->usuario,$this->password);
  mysql_select_db($this->base_datos,$this->conexion);
  @mysql_query("SET NAMES 'utf8'");
 }


}
?>